com.fasterxml.jackson.core.async

## Interface ByteArrayFeeder

All Superinterfaces:
  NonBlockingInputFeeder

All Known Implementing Classes:
  NonBlockingJsonParser

    public interface ByteArrayFeeder
    extends NonBlockingInputFeeder

`NonBlockingInputFeeder` implementation used when feeding data as byte arrays.

Since:
  2.9

### Method Summary

Methods
`void` `feedInput(byte[] data, int offset, int end)` Method that can be called to feed more data, if (and only if) `NonBlockingInputFeeder.needMoreInput()` returns true.

### Methods inherited from interface com.fasterxml.jackson.core.async.NonBlockingInputFeeder

`endOfInput, needMoreInput`

### Method Detail

#### feedInput

    void feedInput(byte[] data,
                 int offset,
                 int end)
                   throws IOException

Method that can be called to feed more data, if (and only if) `NonBlockingInputFeeder.needMoreInput()` returns true.

Parameters:
  `data` - Byte array that contains data to feed: caller must ensure data remains stable until it is fully processed (which is true when `NonBlockingInputFeeder.needMoreInput()` returns true)
  `offset` - Offset within array where input data to process starts
  `end` - Offset after last byte contained in the input array
Throws:
  `IOException` - if the state is such that this method should not be called (has not yet consumed existing input data, or has been marked as closed)